## org.eclipse.amp.amf.ide.ascape
Class AscapeRuntimeConfigurator

    java.lang.Object
      org.eclipse.amp.amf.ide.RuntimeConfigurator
          org.eclipse.amp.amf.ide.ascape.AscapeRuntimeConfigurator

All Implemented Interfaces:
  Configurator

    public class AscapeRuntimeConfigurator

extends RuntimeConfigurator

Field Summary
`static Configurator` `ASCAPE_CONFIGURATOR`

Fields inherited from class org.eclipse.amp.amf.ide.RuntimeConfigurator
`ATTR_METAABM_FILE, METAABM_CONFIGURATOR, VM_CONFIG`

Constructor Summary
`AscapeRuntimeConfigurator()`

Method Summary
`void` `configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource model)` Configures the ascape launch for a model.

Methods inherited from class org.eclipse.amp.amf.ide.RuntimeConfigurator
`configureForLaunch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASCAPE_CONFIGURATOR

    public static final Configurator ASCAPE_CONFIGURATOR

Constructor Detail

### AscapeRuntimeConfigurator

    public AscapeRuntimeConfigurator()

Method Detail

### configure

    public void configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                          org.eclipse.core.resources.IResource model)

  Configures the ascape launch for a model. If model is null, then performs default configuration.

  Specified by:
    `configure` in interface `Configurator`
  Overrides:
    `configure` in class `RuntimeConfigurator`
  Parameters:
    `model` - may be null